import '@/assets/style/main.css'
import router from './router'
import { createApp } from 'vue'
import App from './App.vue'
import { setupAuthRoutes } from '@/router/before'

// 创建实例
const setupAll = async () => {
  const app = createApp(App)
  app.use(router)
  app.use(setupAuthRoutes)
  app.mount('#app')
}

setupAll()
